%{?nodejs_find_provides_and_requires}

%global packagename base-plugins
%global enable_tests 1

Name:		nodejs-base-plugins
Version:	1.0.0
Release:	4%{?dist}
Summary:	Adds smart plugin support to your base application

License:	MIT
URL:		https://github.com/node-base/base-plugins
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/%{packagename}/%{version}/test.js
# Source2 is generated by running Source10, which pulls from the upstream
# version control repository.
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-registered)
BuildRequires:	npm(is-valid-instance)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(base)
BuildRequires:	npm(should)
%endif

%description
Adds smart plugin support to your base application.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .
# setup the examples
%autosetup -T -D -a 2 -n package

%nodejs_fixdep isobject
%nodejs_fixdep define-property

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Aug 18 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-2
- Relax dependency on npm(define-property)

* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
